Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.structures.attributes
Class RuntimeVisibleAnnotationsAttribute

    java.lang.Object
      org.gjt.jclasslib.structures.AbstractStructure
          org.gjt.jclasslib.structures.AbstractStructureWithAttributes
              org.gjt.jclasslib.structures.AttributeInfo
                  org.gjt.jclasslib.structures.attributes.RuntimeAnnotationsAttribute
                      org.gjt.jclasslib.structures.attributes.RuntimeVisibleAnnotationsAttribute

public class RuntimeVisibleAnnotationsAttribute
extends RuntimeAnnotationsAttribute

Describes an `RuntimeVisibleAnnotations` attribute structure.

Version:
  $Revision: 1.1 $ $Date: 2004/12/28 13:04:32 $
Author:
  Vitor Carreira

Field Summary
`static String` | `ATTRIBUTE_NAME` Name of the attribute as in the corresponding constant pool entry.

Fields inherited from class org.gjt.jclasslib.structures.attributes.RuntimeAnnotationsAttribute
`runtimeAnnotations`

Fields inherited from class org.gjt.jclasslib.structures.AttributeInfo
`SYSTEM_PROPERTY_SKIP_ATTRIBUTES`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructureWithAttributes
`attributes`

Fields inherited from class org.gjt.jclasslib.structures.AbstractStructure
`classFile, debug, SYSTEM_PROPERTY_DEBUG`

Constructor Summary
`RuntimeVisibleAnnotationsAttribute()`

Method Summary
`protected void` | `debug(String message)` Utility method for derived structures.

Methods inherited from class org.gjt.jclasslib.structures.attributes.RuntimeAnnotationsAttribute
`getAttributeLength, getRuntimeAnnotations, read, setRuntimeAnnotations, write`

Methods inherited from class org.gjt.jclasslib.structures.AttributeInfo
`createOrSkip, getAttributeNameIndex, getInfo, getName, printAccessFlagsVerbose, setAttributeNameIndex, setInfo`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructureWithAttributes
`findAttribute, getAttributes, getTotalAttributesLength, readAttributes, setAttributes, writeAttributes`

Methods inherited from class org.gjt.jclasslib.structures.AbstractStructure
`getClassFile, getDebug, getLength, printAccessFlags, printAccessFlagsVerbose, printBytes, setClassFile, setDebug`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_NAME

    public static final String ATTRIBUTE_NAME

  Name of the attribute as in the corresponding constant pool entry.

  See Also:
    Constant Field Values

Constructor Detail

### RuntimeVisibleAnnotationsAttribute

    public RuntimeVisibleAnnotationsAttribute()

Method Detail

### debug

    protected void debug(String message)

  Description copied from class: `AbstractStructure`
  Utility method for derived structures. Dump a specific debug message.

  Overrides:
    `debug` in class `AbstractStructure`
  Parameters:
    `message` - the debug message

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD